/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../common.h"
#include "../../../input/input.h"

void playerInit(entityid_t entityId, entity_t *entity);
void playerUpdate(entityid_t entityId, entity_t *entity);
void playerRender(entityid_t entityId, entity_t *entity);
void playerDispose(entityid_t entityId, entity_t *entity);